## NMSettingLoopback NMSettingLoopback — Describes connection properties for loopback interfaces |

## Functions

NMSetting * | nm_setting_loopback_new ()
guint32 | nm_setting_loopback_get_mtu ()

## Types and Values

#define | NM_SETTING_LOOPBACK_SETTING_NAME
#define | NM_SETTING_LOOPBACK_MTU

## Description

The NMSettingLoopback object is a NMSetting subclass that describes properties necessary for connection to loopback devices

## Functions

### nm_setting_loopback_new ()

    NMSetting *
    nm_setting_loopback_new (void);

Creates a new NMSettingLoopback object with default values.

#### Returns

the new empty NMSettingLoopback object.

[transfer full]

Since: 1.42

### nm_setting_loopback_get_mtu ()

    guint32
    nm_setting_loopback_get_mtu (NMSettingLoopback *setting);

#### Parameters

setting | the NMSettingLoopback |

#### Returns

the “mtu” property of the setting

Since: 1.42

## Types and Values

### NM_SETTING_LOOPBACK_SETTING_NAME

    #define NM_SETTING_LOOPBACK_SETTING_NAME "loopback"

### NM_SETTING_LOOPBACK_MTU

    #define NM_SETTING_LOOPBACK_MTU "mtu"